Subject: Re: 1.1.x/sunrpc 4.0/rpcgen: cpp not found bugfix (for Suhaib ?)
From: Suhaib Siddiqi <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 30 Mar 2001 20:09:30 -0500

Thanks for the fix.
I think he did try to contact but could not get through my black list.

BTW:  In future pplease send fixes against my old packages directly to me.
I am subscribed to cygwin-digest only, to cut down the volume of mail I
receive.  Therefore do not read Cygwin posts so often.

Suhaib

--------------------
Would it not make sense to contact the author of this code rather than
sending email here?

cgf

On Fri, Mar 30, 2001 at 05:35:38PM +0200, Michael Haubenwallner wrote:
>There is a bug in the rpcgen from sunrpc 4.0 for 1.1.x i downloaded
>from http://www.inspirepharm.com/whatif/sunrpc-4.0-cygwin.tar.bz2
>got there through http://siddiqi.webjump.com/
>
>The problem is that rpcgen does call the cpp using execl().
>On emx/cygwin/mingw the macro CPP is "cpp", not "/usr/bin/cpp" and
>so execlp() is needed.
>
>Rpcdev/src/rpcgen/rpc_main.c
>188c188
><    execl(CPP, CPP, CPPFLAGS, define, infile, NULL);
>---
>>    execlp(CPP, CPP, CPPFLAGS, define, infile, NULL);
>
>
>Another bug is in the rpcgen/Makefile, there is just a space missing:
>(and, -r is not needed with rm here)
>
>Rpcdev/src/rpcgen/Makefile
>17c17
><    rm -rf*.o
>---
>>    rm -f *.o
>
>
>thanks,
>  haubi
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple